server:
  port: ${liquidnet.info.port}
  tomcat:
    uri-encoding: UTF-8
  servlet:
    context-path: ${liquidnet.info.context}
# -----------------------------------------------------------
spring:
  application:
    name: ${liquidnet.info.name}
  profiles:
    include:
       - common-service
#  cloud:
#    bus:
#      destination: springCloudBus.${liquidnet.info.name}.port${liquidnet.info.port}
#      trace:
#        enabled: true
  datasource:
    name: liquidnet_bus_db
    url: jdbc:mysql://${liquidnet.mysql.urlHostAndPort}/${liquidnet.mysql.database-name}?serverTimezone=UTC&characterEncoding=utf-8&useSSL=false
    username: ${liquidnet.mysql.username}
    password: ${liquidnet.mysql.password}
    #    type: org.apache.tomcat.jdbc.pool.DataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
#  rabbitmq:
#    addresses: ${liquidnet.rabbitmq.host}
#    port: ${liquidnet.rabbitmq.port}
#    username: ${liquidnet.rabbitmq.username}
#    password: ${liquidnet.rabbitmq.password}
  redis:
    database: 15
    dbs: ${liquidnet.redis.dbs}
    port: ${liquidnet.redis.port}
    host: ${liquidnet.redis.host}
    password: ${liquidnet.redis.password}
    lettuce:
      pool:
        max-active: 16
        max-wait: -1
        max-idle: 8
        min-idle: 4
# -----------------------------------------------------------
knife4j:
  enable: true
  production: ${liquidnet.knife4j.disable}
  basic:
    enable: true
    username: ${liquidnet.security.username}
    password: ${liquidnet.security.password}
# -----------------------------------------------------------
logging:
  file:
    name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}.log
    max-size: 200MB
  pattern:
    file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{56}:%line] - %msg%n'
    console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{56}:%line] - %msg%n'
    rolling-file-name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}-%d{yyyy-MM-dd}.%i.log
  level:
    root: info
    #以下是为指定包设置日志级别
#    com:
#      liquidnet: info
# -----------------------------------------------------------
eureka:
  client:
    register-with-eureka: true
    fetch-registry: true
    serviceUrl:
      defaultZone: http://${liquidnet.security.username}:${liquidnet.security.password}@${liquidnet.eureka.host}/eureka-server/eureka
  instance:
    hostname: ${spring.cloud.client.ip-address}
    lease-expiration-duration-in-seconds: 15 #服务过期时间配置,超过这个时间没有接收到心跳EurekaServer就会将这个实例剔除
    lease-renewal-interval-in-seconds: 5 #服务刷新时间配置，每隔这个时间会主动心跳一次
    prefer-ip-address: true
    instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${spring.application.instance_id:${server.port}}
# -----------------------------------------------------------
#actuator/info
info:
  app:
    name: ${liquidnet.info.name}
  company:
    name: zhengzai.tv
  build:
    groupId: '@project.groupId@'
    artifactId: '@project.artifactId@'
    version: '@project.version@'
# -----------------------------------------------------------
mybatis-plus:
  mapper-locations: classpath*:com.liquidnet.service.*.mapper/*Mapper.xml
# -----------------------------------------------------------

# -----------------------------------------------------------
global-auth:
  exclude-url-pattern: # 模式I（与模式II互斥）
#    - ${liquidnet.info.context}/**
  include-url-pattern: # 模式II（与模式I互斥）
#    - ${liquidnet.info.context}/**
# -----------------------------------------------------------

# -----------------------------------------------------------